org.hibernate.search.elasticsearch.gson.impl

## Class AbstractConfiguredExtraPropertiesJsonAdapterFactory

- java.lang.Object
- - org.hibernate.search.elasticsearch.gson.impl.AbstractConfiguredExtraPropertiesJsonAdapterFactory

- All Implemented Interfaces:
    com.google.gson.TypeAdapterFactory
  Direct Known Subclasses:
    AnalysisDefinitionJsonAdapterFactory

      public abstract class AbstractConfiguredExtraPropertiesJsonAdapterFactory
      extends Object
      implements com.google.gson.TypeAdapterFactory

  Author:
    Yoann Rodiere

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `AbstractConfiguredExtraPropertiesJsonAdapterFactory.Builder<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConfiguredExtraPropertiesJsonAdapterFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract <T> void` | `addFields(AbstractConfiguredExtraPropertiesJsonAdapterFactory.Builder<T> builder)`
    `<T> com.google.gson.TypeAdapter<T>` | `create(com.google.gson.Gson gson, com.google.gson.reflect.TypeToken<T> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractConfiguredExtraPropertiesJsonAdapterFactory

          public AbstractConfiguredExtraPropertiesJsonAdapterFactory()

  - ### Method Detail

    - #### create

          public final <T> com.google.gson.TypeAdapter<T> create(com.google.gson.Gson gson,
                                                                 com.google.gson.reflect.TypeToken<T> type)

      Specified by:
        `create` in interface `com.google.gson.TypeAdapterFactory`

    - #### addFields

          protected abstract <T> void addFields(AbstractConfiguredExtraPropertiesJsonAdapterFactory.Builder<T> builder)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved